apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: nginx-helm-local-app
  namespace: argocd
spec:
  destination:
    namespace: nginx-helm-local
    server: https://kubernetes.default.svc 
  project: default
  source: 
    repoURL: https://gitlab.com/lu.cesarano/argocd-lab.git
    chart: nginx
    helm:
      releaseName: nginx-local-helm-release
    targetRevision: master
  syncPolicy: 
    automated:
      prune: true
      selfHeal: false
    syncOptions:
    - CreateNamespace=true
  directory:
    recurse: true

